| ghc-6.12.3: The GHC API | Contents | Index

CmmLiveZ

Synopsis

type CmmLive = RegSet
cmmLivenessZ :: CmmGraph -> FuelMonad BlockEntryLiveness
liveLattice :: DataflowLattice CmmLive
middleLiveness :: Middle -> CmmLive -> CmmLive
noLiveOnEntry :: BlockId -> CmmLive -> a -> a

Documentation
type CmmLive = RegSet
The variables live on entry to a block
cmmLivenessZ :: CmmGraph -> FuelMonad BlockEntryLiveness
Calculated liveness info for a CmmGraph
liveLattice :: DataflowLattice CmmLive
The dataflow lattice
middleLiveness :: Middle -> CmmLive -> CmmLive
noLiveOnEntry :: BlockId -> CmmLive -> a -> a
On entry to the procedure, there had better not be any LocalReg's live-in.
Produced by Haddock version 2.6.1